{% extends '../base.html' %}
{% block title %}
{{category.name}}
{% endblock  %}

{% block content %}
<div class="container" style="max-width: 1000px">
    <div class="col-12">
        <h1 class="h2">{{ category.name|title}}</h1>
    </div>
    <div class="col-12 d-flex justify-content-between">
        <div><b>Popular</b> product purchased</p>
    </div>
    <hr />
</div>
<div class="container">
    <div class="row">
        <div class="album">
                {% if not products %}
                    <div  class="col-12"> There are no currently active products <a href="{% url 'catalogue:home' %}">Home</a></div>
                {% else %}
                    <div class="row row-cols-1 row-cols-sm-2 row-cols-md-5 g-3">
                        {% for product in products %}
                            <div class="col">
                                <div class="card border-0">
                                    {% for image in product.product_image.all  %}
                                        {% if image.is_feature %}
                                            <img class="img-fluid" alt="{{image.alt_text}}" src="{{ image.image.url }}">
                                        {% endif %}
                                    {% endfor %}
                                    <div class="card-body px-0">
                                        <p class="card-text">
                                            <a class="text-dark text-decoration-none"
                                                href="{{ product.get_absolute_url }}">{{ product.title }}</a>
                                        </p>
                                        <div class="d-flex justify-content-between align-items-center">
                                            <small class="text-muted fw-bold">£{{product.regular_price}}</small>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                {% endif %}  
        </div>
    </div>
</div>

{% endblock  %}